
********************************************************************************
$ontext
The Dispatch and Investment Evaluation Tool with Endogenous Renewables (DIETER).
MCP Version for prosumage, based on DIETER version 1.3.0, June 2019.
Written by Claudia Gnther, Alexander Zerrahn and Wolf-Peter Schill.
This work is licensed under the MIT License (MIT).
For more information on this license, visit http://opensource.org/licenses/mit-license.php.
Whenever you use this code, please refer to https://doi.org/10.5281/zenodo.3345784
We are happy to receive feedback under azerrahn@diw.de and wschill@diw.de.
$offtext
********************************************************************************



********************************************************************************
***** Tariff Scenario 2030 *****
********************************************************************************

*** Define tariffs per MWh (additive)

* Time-invariant retail price
energy_component      =  50  ;
non_energy_component  = 250  ;
retail_price          = energy_component + non_energy_component ;

* Time-invariant FIT
FIT          =  80 ;

* Define volumetric prices for prosumage households (additivie tariffs per MWh)

** Consumption side
price_consumption_pro(h)  =   retail_price ;

* Choose that real-time pricing is added on consumption side by setting "*"
$setglobal  RTP_cons ""   ;

* Self-consumption tariff  (applies to G_RES_PRO and STO_OUT_PRO2PRO)
SC_tax                    =  0 ;

** Production side
price_production_pro(h)   =   FIT ;

* Choose that real-time pricing is added on consumption side by setting "*"
$setglobal  RTP_prod ""  ;


*** Further options
* Limit feed-in of prosumage feed-in to alpha_max of maximum PV energy
* Note: Maximum PV energy referes to installed PV capacity multiplied by maximum
*       solar availability (determined by time series)
alpha_max       = 0.5    ;
max_solar_avail = 0.7067 ;

* Remove star to select the feed-in restriction
$setglobal no_feed_in_max "*"

*** Allow no feed-in from prosumage households
* Remove star to prevent feed-in from prosumage households (i.e. FIT = 0)
$setglobal allow_feed_in "*"


*** Define annual fixed network fee

flat_network_fee  = 0 ;

********************************************************************************